Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225765 - eegdev: FTBFS in Fedora rawhide/f39
Summary: eegdev: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eegdev
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:28 UTC by Fedora Release Engineering
Modified: 2023-12-23 15:15 UTC (History)
5 users (show)

Fixed In Version: eegdev-0.2-26.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-23 15:15:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:28 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:28 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:28 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:28:14 UTC
eegdev failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103570212


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix eegdev at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
eegdev will be orphaned. Before branching of Fedora 40,
eegdev will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:28:19 UTC
Created attachment 1977770 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 17:28:23 UTC
Created attachment 1977771 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:28:25 UTC
Created attachment 1977772 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:55:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Sandro 2023-09-08 07:10:17 UTC
Compilation errors:

Making all in src/core
make[1]: Entering directory '/builddir/build/BUILD/eegdev-0.2/src/core'
  GEN      conffile.lex.c
  GEN      conffile.tab.c
  GEN      confline.lex.c
  GEN      confline.tab.c
conffile.y:21.1-19: warning: deprecated directive: ‘%name-prefix "cff_"’, use ‘%define api.prefix {cff_}’ [-Wdeprecated]
   21 | %name-prefix "cff_"
      | ^~~~~~~~~~~~~~~~~~~
      | %define api.prefix {cff_}
confline.y:21.1-19: warning: deprecated directive: ‘%name-prefix "cfl_"’, use ‘%define api.prefix {cfl_}’ [-Wdeprecated]
   21 | %name-prefix "cfl_"
      | ^~~~~~~~~~~~~~~~~~~
      | %define api.prefix {cfl_}
conffile.y: warning: fix-its can be applied.  Rerun with option '--update'. [-Wother]
confline.y: warning: fix-its can be applied.  Rerun with option '--update'. [-Wother]
make  all-am
make[2]: Entering directory '/builddir/build/BUILD/eegdev-0.2/src/core'
  CC       core.lo
  CC       typecast.lo
  CC       opendev.lo
  CC       configuration.lo
  CC       conffile.lex.lo
  CC       sensortypes.lo
  CC       confline.lex.lo
  CC       conffile.tab.lo
In file included from confline.lex.c:241:
../../lib/stdio.h:64:3: error: #error "Please include config.h first."
   64 |  #error "Please include config.h first."
      |   ^~~~~
In file included from conffile.lex.c:241:
../../lib/stdio.h:64:3: error: #error "Please include config.h first."
   64 |  #error "Please include config.h first."
      |   ^~~~~
In file included from ../../lib/stdio.h:70:
../../lib/stddef.h:107:3: error: #error "Please include config.h first."
  107 |  #error "Please include config.h first."
      |   ^~~~~
In file included from ../../lib/stdio.h:70:
../../lib/stddef.h:107:3: error: #error "Please include config.h first."
  107 |  #error "Please include config.h first."
      |   ^~~~~
In file included from ../../lib/stdio.h:75:
../../lib/sys/types.h:28:3: error: #error "Please include config.h first."
   28 |  #error "Please include config.h first."
      |   ^~~~~
In file included from ../../lib/stdio.h:75:
../../lib/sys/types.h:28:3: error: #error "Please include config.h first."
   28 |  #error "Please include config.h first."
      |   ^~~~~
In file included from conffile.lex.c:242:
../../lib/string.h:51:3: error: #error "Please include config.h first."
   51 |  #error "Please include config.h first."
      |   ^~~~~
In file included from confline.lex.c:242:
../../lib/string.h:51:3: error: #error "Please include config.h first."
   51 |  #error "Please include config.h first."
      |   ^~~~~
In file included from /usr/include/stdlib.h:514,
                 from ../../lib/stdlib.h:36,
                 from confline.lex.c:244:
../../lib/sys/types.h:28:3: error: #error "Please include config.h first."
   28 |  #error "Please include config.h first."
      |   ^~~~~
In file included from /usr/include/stdlib.h:514,
                 from ../../lib/stdlib.h:36,
                 from conffile.lex.c:244:
../../lib/sys/types.h:28:3: error: #error "Please include config.h first."
   28 |  #error "Please include config.h first."
      |   ^~~~~
../../lib/stdlib.h:44:3: error: #error "Please include config.h first."
   44 |  #error "Please include config.h first."
      |   ^~~~~
../../lib/stdlib.h:44:3: error: #error "Please include config.h first."
   44 |  #error "Please include config.h first."
      |   ^~~~~
In file included from confline.lex.c:264:
../../lib/inttypes.h:52:3: error: #error "Please include config.h first."
   52 |  #error "Please include config.h first."
      |   ^~~~~
In file included from conffile.lex.c:264:
../../lib/inttypes.h:52:3: error: #error "Please include config.h first."
   52 |  #error "Please include config.h first."
      |   ^~~~~
In file included from confline.l:31:
confline.tab.h:79:23: warning: 'struct cfldata' declared inside parameter list will not be visible outside of this definition or declaration
   79 | int cfl_parse (struct cfldata *pp);
      |                       ^~~~~~~
In file included from conffile.l:31:
conffile.tab.h:80:23: warning: 'struct cfdata' declared inside parameter list will not be visible outside of this definition or declaration
   80 | int cff_parse (struct cfdata *pp);
      |                       ^~~~~~

Not my strong point.

If we plan to fix it, we should set this to assigned or it may get orphaned.

Comment 6 Ankur Sinha (FranciscoD) 2023-09-08 08:03:41 UTC
I'll take a look, marking as ASSIGNED.

Comment 7 Fedora Update System 2023-12-23 15:11:55 UTC
FEDORA-2023-8acdcda0c7 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8acdcda0c7

Comment 8 Fedora Update System 2023-12-23 15:15:10 UTC
FEDORA-2023-8acdcda0c7 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.